<?php

defined('_JEXEC') or die('Restricted access');

class plgJshoppingOrderOrder_gutschrift extends JPlugin {

    function onBeforeChangeOrderStatusAdmin($order_id, $order_status, $status_id, $notify, $comments, $include, $view_order) {
        $jinput = JFactory::getApplication()->input;
        $order_id = $jinput->get('id', $order_id);
        $generatePdfGutschrift = $jinput->get('generate_pdf', 0);
        $ajax = $jinput->get('ajax', 0);

        if ($order_id && $generatePdfGutschrift && $ajax) {
            $generatePdfGutschrift = 1;
        } else {
            $generatePdfGutschrift = 0;
        }

        if ($order_status == 3 || $generatePdfGutschrift) {
            $lang = JSFactory::getLang();
            $jshopConfig = JSFactory::getConfig();
            $order = \JSFactory::getTable('order');
            $order->load($order_id);

            if (!file_exists($jshopConfig->pdf_orders_path . "/gutschrift/" . $order->pdf_file)) {

                include(dirname(__FILE__) . "/generete_pdf_gutschrift.php");
                JSFactory::loadLanguageFile();
                JSFactory::loadExtLanguageFile('order_gutschrift');
                $status = \JSFactory::getTable('orderStatus', 'jshop');
                $status->load($order->order_status);
                $name = $lang->get("name");
                $order->status = $status->$name;
                $order->order_date = strftime($jshopConfig->store_date_format, strtotime($order->order_date));
                $order->products = $order->getAllItems();
                $order->weight = $order->getWeightItems();
                if ($jshopConfig->show_delivery_time_checkout) {
                    $deliverytimes = JSFactory::getAllDeliveryTime();
                    $order->order_delivery_time = $deliverytimes[$order->delivery_times_id];
                    if ($order->order_delivery_time == "") {
                        $order->order_delivery_time = $order->delivery_time;
                    }
                }
                $country = \JSFactory::getTable('country');
                $country->load($order->country);
                $field_country_name = $lang->get("name");
                $order->country = $country->$field_country_name;        
                
                $d_country = \JSFactory::getTable('country');
                $d_country->load($order->d_country);
                $field_country_name = $lang->get("name");
                $order->d_country = $d_country->$field_country_name;

                $order->order_tax_list = $order->getTaxExt();

                generatePDF($order);
            }
        }



        if ($generatePdfGutschrift) {

            $rows = array();
            $rows['pdf'] = $order->pdf_file;

            print json_encode($rows);

            // Close the application
            JFactory::getApplication()->close();
        }
    }

}